Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema
Class SchemaSymbols

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.SchemaSymbols

public final class SchemaSymbols
extends java.lang.Object

Collection of symbols used to parse a Schema Grammar We have temporary references to this class from SchemaImporter but we will be moving all the SchemaImporter functionality to the Grammar classes

Author:
  jeffrey rodriguez

Field Summary
`static int` | `ABSTRACT`
`static int` | `ALL`
`static java.lang.String` | `ATT_ABSTRACT`
`static java.lang.String` | `ATT_ATTRIBUTEFORMDEFAULT`
`static java.lang.String` | `ATT_BASE`
`static java.lang.String` | `ATT_BLOCK`
`static java.lang.String` | `ATT_BLOCKDEFAULT`
`static java.lang.String` | `ATT_COLLAPSE`
`static java.lang.String` | `ATT_CONTENT`
`static java.lang.String` | `ATT_DEFAULT`
`static java.lang.String` | `ATT_DERIVEDBY`
`static java.lang.String` | `ATT_ELEMENTFORMDEFAULT`
`static java.lang.String` | `ATT_FINAL`
`static java.lang.String` | `ATT_FINALDEFAULT`
`static java.lang.String` | `ATT_FIXED`
`static java.lang.String` | `ATT_FORM`
`static java.lang.String` | `ATT_ID`
`static java.lang.String` | `ATT_ITEMTYPE`
`static java.lang.String` | `ATT_MAXOCCURS`
`static java.lang.String` | `ATT_MEMBERTYPES`
`static java.lang.String` | `ATT_MINOCCURS`
`static java.lang.String` | `ATT_MIXED`
`static java.lang.String` | `ATT_NAME`
`static java.lang.String` | `ATT_NAMESPACE`
`static java.lang.String` | `ATT_NIL`
`static java.lang.String` | `ATT_NILLABLE`
`static java.lang.String` | `ATT_PRESERVE`
`static java.lang.String` | `ATT_PROCESSCONTENTS`
`static java.lang.String` | `ATT_PUBLIC`
`static java.lang.String` | `ATT_REF`
`static java.lang.String` | `ATT_REFER`
`static java.lang.String` | `ATT_REPLACE`
`static java.lang.String` | `ATT_SCHEMALOCATION`
`static java.lang.String` | `ATT_SOURCE`
`static java.lang.String` | `ATT_SUBSTITUTIONGROUP`
`static java.lang.String` | `ATT_SYSTEM`
`static java.lang.String` | `ATT_TARGETNAMESPACE`
`static java.lang.String` | `ATT_TYPE`
`static java.lang.String` | `ATT_USE`
`static java.lang.String` | `ATT_VALUE`
`static java.lang.String` | `ATT_VERSION`
`static java.lang.String` | `ATT_XPATH`
`static java.lang.String` | `ATTVAL_ANYURI`
`static java.lang.String` | `ATTVAL_BOOLEAN`
`static java.lang.String` | `ATTVAL_DEFAULT`
`static java.lang.String` | `ATTVAL_ELEMENTONLY`
`static java.lang.String` | `ATTVAL_EMPTY`
`static java.lang.String` | `ATTVAL_EXTENSION`
`static java.lang.String` | `ATTVAL_FALSE`
`static java.lang.String` | `ATTVAL_FALSE_0`
`static java.lang.String` | `ATTVAL_FIXED`
`static java.lang.String` | `ATTVAL_ID`
`static java.lang.String` | `ATTVAL_LAX`
`static java.lang.String` | `ATTVAL_MAXLENGTH`
`static java.lang.String` | `ATTVAL_MINLENGTH`
`static java.lang.String` | `ATTVAL_MIXED`
`static java.lang.String` | `ATTVAL_NCNAME`
`static java.lang.String` | `ATTVAL_OPTIONAL`
`static java.lang.String` | `ATTVAL_POUNDALL`
`static java.lang.String` | `ATTVAL_PROHIBITED`
`static java.lang.String` | `ATTVAL_QNAME`
`static java.lang.String` | `ATTVAL_QUALIFIED`
`static java.lang.String` | `ATTVAL_REQUIRED`
`static java.lang.String` | `ATTVAL_RESTRICTION`
`static java.lang.String` | `ATTVAL_SKIP`
`static java.lang.String` | `ATTVAL_STRICT`
`static java.lang.String` | `ATTVAL_STRING`
`static java.lang.String` | `ATTVAL_SUBSTITUTION`
`static java.lang.String` | `ATTVAL_SUBSTITUTIONGROUP`
`static java.lang.String` | `ATTVAL_TEXTONLY`
`static java.lang.String` | `ATTVAL_TIMEDURATION`
`static java.lang.String` | `ATTVAL_TOKEN`
`static java.lang.String` | `ATTVAL_TRUE`
`static java.lang.String` | `ATTVAL_TRUE_1`
`static java.lang.String` | `ATTVAL_TWOPOUNDANY`
`static java.lang.String` | `ATTVAL_TWOPOUNDLOCAL`
`static java.lang.String` | `ATTVAL_TWOPOUNDOTHER`
`static java.lang.String` | `ATTVAL_TWOPOUNDTARGETNS`
`static java.lang.String` | `ATTVAL_UNBOUNDED`
`static java.lang.String` | `ATTVAL_UNQUALIFIED`
`static int` | `CHOICE`
`static java.lang.String` | `ELT_ALL`
`static java.lang.String` | `ELT_ANNOTATION`
`static java.lang.String` | `ELT_ANY`
`static java.lang.String` | `ELT_ANYATTRIBUTE`
`static java.lang.String` | `ELT_APPINFO`
`static java.lang.String` | `ELT_ATTRIBUTE`
`static java.lang.String` | `ELT_ATTRIBUTEGROUP`
`static java.lang.String` | `ELT_CHOICE`
`static java.lang.String` | `ELT_COMPLEXCONTENT`
`static java.lang.String` | `ELT_COMPLEXTYPE`
`static java.lang.String` | `ELT_CONTENT`
`static java.lang.String` | `ELT_DOCUMENTATION`
`static java.lang.String` | `ELT_DURATION`
`static java.lang.String` | `ELT_ELEMENT`
`static java.lang.String` | `ELT_ENUMERATION`
`static java.lang.String` | `ELT_EXTENSION`
`static java.lang.String` | `ELT_FIELD`
`static java.lang.String` | `ELT_FRACTIONDIGITS`
`static java.lang.String` | `ELT_GROUP`
`static java.lang.String` | `ELT_IMPORT`
`static java.lang.String` | `ELT_INCLUDE`
`static java.lang.String` | `ELT_KEY`
`static java.lang.String` | `ELT_KEYREF`
`static java.lang.String` | `ELT_LENGTH`
`static java.lang.String` | `ELT_LIST`
`static java.lang.String` | `ELT_MAXEXCLUSIVE`
`static java.lang.String` | `ELT_MAXINCLUSIVE`
`static java.lang.String` | `ELT_MAXLENGTH`
`static java.lang.String` | `ELT_MINEXCLUSIVE`
`static java.lang.String` | `ELT_MININCLUSIVE`
`static java.lang.String` | `ELT_MINLENGTH`
`static java.lang.String` | `ELT_NOTATION`
`static java.lang.String` | `ELT_PATTERN`
`static java.lang.String` | `ELT_PERIOD`
`static java.lang.String` | `ELT_REDEFINE`
`static java.lang.String` | `ELT_RESTRICTION`
`static java.lang.String` | `ELT_SCHEMA`
`static java.lang.String` | `ELT_SELECTOR`
`static java.lang.String` | `ELT_SEQUENCE`
`static java.lang.String` | `ELT_SIMPLECONTENT`
`static java.lang.String` | `ELT_SIMPLETYPE`
`static java.lang.String` | `ELT_TOTALDIGITS`
`static java.lang.String` | `ELT_UNION`
`static java.lang.String` | `ELT_UNIQUE`
`static java.lang.String` | `ELT_WHITESPACE`
`static java.lang.String` | `ELT_WILDCARD`
`static int` | `EMPTY_SET`
`static int` | `ENUMERATION`
`static int` | `EXTENSION`
`static int` | `FIXED`
`static int` | `INFINITY`
`static int` | `LIST`
`static int` | `NILLABLE`
`static int` | `OCCURRENCE_UNBOUNDED`
`static int` | `RESTRICTION`
`static int` | `SEQUENCE`
`static int` | `SUBSTITUTION`
`static int` | `UNION`
`static java.lang.String` | `URI_SCHEMAFORSCHEMA`
`static java.lang.String` | `URI_XSI`
`static java.lang.String` | `XSI_NONAMESPACESCHEMALOCACTION`
`static java.lang.String` | `XSI_SCHEMALOCACTION`
`static java.lang.String` | `XSI_TYPE`

Constructor Summary
`SchemaSymbols()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI_XSI

    public static final java.lang.String URI_XSI

### URI_SCHEMAFORSCHEMA

    public static final java.lang.String URI_SCHEMAFORSCHEMA

### XSI_SCHEMALOCACTION

    public static final java.lang.String XSI_SCHEMALOCACTION

### XSI_NONAMESPACESCHEMALOCACTION

    public static final java.lang.String XSI_NONAMESPACESCHEMALOCACTION

### XSI_TYPE

    public static final java.lang.String XSI_TYPE

### ELT_ALL

    public static final java.lang.String ELT_ALL

### ELT_ANNOTATION

    public static final java.lang.String ELT_ANNOTATION

### ELT_APPINFO

    public static final java.lang.String ELT_APPINFO

### ELT_DOCUMENTATION

    public static final java.lang.String ELT_DOCUMENTATION

### ELT_ANY

    public static final java.lang.String ELT_ANY

### ELT_WILDCARD

    public static final java.lang.String ELT_WILDCARD

### ELT_ANYATTRIBUTE

    public static final java.lang.String ELT_ANYATTRIBUTE

### ELT_ATTRIBUTE

    public static final java.lang.String ELT_ATTRIBUTE

### ELT_ATTRIBUTEGROUP

    public static final java.lang.String ELT_ATTRIBUTEGROUP

### ELT_CHOICE

    public static final java.lang.String ELT_CHOICE

### ELT_COMPLEXTYPE

    public static final java.lang.String ELT_COMPLEXTYPE

### ELT_CONTENT

    public static final java.lang.String ELT_CONTENT

### ELT_DURATION

    public static final java.lang.String ELT_DURATION

### ELT_ELEMENT

    public static final java.lang.String ELT_ELEMENT

### ELT_ENUMERATION

    public static final java.lang.String ELT_ENUMERATION

### ELT_FIELD

    public static final java.lang.String ELT_FIELD

### ELT_WHITESPACE

    public static final java.lang.String ELT_WHITESPACE

### ELT_GROUP

    public static final java.lang.String ELT_GROUP

### ELT_IMPORT

    public static final java.lang.String ELT_IMPORT

### ELT_INCLUDE

    public static final java.lang.String ELT_INCLUDE

### ELT_REDEFINE

    public static final java.lang.String ELT_REDEFINE

### ELT_KEY

    public static final java.lang.String ELT_KEY

### ELT_KEYREF

    public static final java.lang.String ELT_KEYREF

### ELT_LENGTH

    public static final java.lang.String ELT_LENGTH

### ELT_MAXEXCLUSIVE

    public static final java.lang.String ELT_MAXEXCLUSIVE

### ELT_MAXINCLUSIVE

    public static final java.lang.String ELT_MAXINCLUSIVE

### ELT_MAXLENGTH

    public static final java.lang.String ELT_MAXLENGTH

### ELT_MINEXCLUSIVE

    public static final java.lang.String ELT_MINEXCLUSIVE

### ELT_MININCLUSIVE

    public static final java.lang.String ELT_MININCLUSIVE

### ELT_MINLENGTH

    public static final java.lang.String ELT_MINLENGTH

### ELT_NOTATION

    public static final java.lang.String ELT_NOTATION

### ELT_PATTERN

    public static final java.lang.String ELT_PATTERN

### ELT_PERIOD

    public static final java.lang.String ELT_PERIOD

### ELT_TOTALDIGITS

    public static final java.lang.String ELT_TOTALDIGITS

### ELT_FRACTIONDIGITS

    public static final java.lang.String ELT_FRACTIONDIGITS

### ELT_SCHEMA

    public static final java.lang.String ELT_SCHEMA

### ELT_SELECTOR

    public static final java.lang.String ELT_SELECTOR

### ELT_SEQUENCE

    public static final java.lang.String ELT_SEQUENCE

### ELT_SIMPLETYPE

    public static final java.lang.String ELT_SIMPLETYPE

### ELT_UNION

    public static final java.lang.String ELT_UNION

### ELT_LIST

    public static final java.lang.String ELT_LIST

### ELT_UNIQUE

    public static final java.lang.String ELT_UNIQUE

### ELT_COMPLEXCONTENT

    public static final java.lang.String ELT_COMPLEXCONTENT

### ELT_SIMPLECONTENT

    public static final java.lang.String ELT_SIMPLECONTENT

### ELT_RESTRICTION

    public static final java.lang.String ELT_RESTRICTION

### ELT_EXTENSION

    public static final java.lang.String ELT_EXTENSION

### ATT_ABSTRACT

    public static final java.lang.String ATT_ABSTRACT

### ATT_ATTRIBUTEFORMDEFAULT

    public static final java.lang.String ATT_ATTRIBUTEFORMDEFAULT

### ATT_BASE

    public static final java.lang.String ATT_BASE

### ATT_ITEMTYPE

    public static final java.lang.String ATT_ITEMTYPE

### ATT_MEMBERTYPES

    public static final java.lang.String ATT_MEMBERTYPES

### ATT_BLOCK

    public static final java.lang.String ATT_BLOCK

### ATT_BLOCKDEFAULT

    public static final java.lang.String ATT_BLOCKDEFAULT

### ATT_CONTENT

    public static final java.lang.String ATT_CONTENT

### ATT_DEFAULT

    public static final java.lang.String ATT_DEFAULT

### ATT_DERIVEDBY

    public static final java.lang.String ATT_DERIVEDBY

### ATT_ELEMENTFORMDEFAULT

    public static final java.lang.String ATT_ELEMENTFORMDEFAULT

### ATT_SUBSTITUTIONGROUP

    public static final java.lang.String ATT_SUBSTITUTIONGROUP

### ATT_FINAL

    public static final java.lang.String ATT_FINAL

### ATT_FINALDEFAULT

    public static final java.lang.String ATT_FINALDEFAULT

### ATT_FIXED

    public static final java.lang.String ATT_FIXED

### ATT_FORM

    public static final java.lang.String ATT_FORM

### ATT_ID

    public static final java.lang.String ATT_ID

### ATT_MAXOCCURS

    public static final java.lang.String ATT_MAXOCCURS

### ATT_MINOCCURS

    public static final java.lang.String ATT_MINOCCURS

### ATT_NAME

    public static final java.lang.String ATT_NAME

### ATT_NAMESPACE

    public static final java.lang.String ATT_NAMESPACE

### ATT_NILLABLE

    public static final java.lang.String ATT_NILLABLE

### ATT_NIL

    public static final java.lang.String ATT_NIL

### ATT_PROCESSCONTENTS

    public static final java.lang.String ATT_PROCESSCONTENTS

### ATT_REF

    public static final java.lang.String ATT_REF

### ATT_REFER

    public static final java.lang.String ATT_REFER

### ATT_SCHEMALOCATION

    public static final java.lang.String ATT_SCHEMALOCATION

### ATT_SOURCE

    public static final java.lang.String ATT_SOURCE

### ATT_SYSTEM

    public static final java.lang.String ATT_SYSTEM

### ATT_PUBLIC

    public static final java.lang.String ATT_PUBLIC

### ATT_TARGETNAMESPACE

    public static final java.lang.String ATT_TARGETNAMESPACE

### ATT_TYPE

    public static final java.lang.String ATT_TYPE

### ATT_USE

    public static final java.lang.String ATT_USE

### ATT_VALUE

    public static final java.lang.String ATT_VALUE

### ATT_MIXED

    public static final java.lang.String ATT_MIXED

### ATT_VERSION

    public static final java.lang.String ATT_VERSION

### ATT_XPATH

    public static final java.lang.String ATT_XPATH

### ATT_PRESERVE

    public static final java.lang.String ATT_PRESERVE

### ATT_REPLACE

    public static final java.lang.String ATT_REPLACE

### ATT_COLLAPSE

    public static final java.lang.String ATT_COLLAPSE

### ATTVAL_TWOPOUNDANY

    public static final java.lang.String ATTVAL_TWOPOUNDANY

### ATTVAL_TWOPOUNDLOCAL

    public static final java.lang.String ATTVAL_TWOPOUNDLOCAL

### ATTVAL_TWOPOUNDOTHER

    public static final java.lang.String ATTVAL_TWOPOUNDOTHER

### ATTVAL_TWOPOUNDTARGETNS

    public static final java.lang.String ATTVAL_TWOPOUNDTARGETNS

### ATTVAL_POUNDALL

    public static final java.lang.String ATTVAL_POUNDALL

### ATTVAL_BOOLEAN

    public static final java.lang.String ATTVAL_BOOLEAN

### ATTVAL_DEFAULT

    public static final java.lang.String ATTVAL_DEFAULT

### ATTVAL_ELEMENTONLY

    public static final java.lang.String ATTVAL_ELEMENTONLY

### ATTVAL_EMPTY

    public static final java.lang.String ATTVAL_EMPTY

### ATTVAL_EXTENSION

    public static final java.lang.String ATTVAL_EXTENSION

### ATTVAL_FALSE

    public static final java.lang.String ATTVAL_FALSE

### ATTVAL_FALSE_0

    public static final java.lang.String ATTVAL_FALSE_0

### ATTVAL_FIXED

    public static final java.lang.String ATTVAL_FIXED

### ATTVAL_ID

    public static final java.lang.String ATTVAL_ID

### ATTVAL_LAX

    public static final java.lang.String ATTVAL_LAX

### ATTVAL_MAXLENGTH

    public static final java.lang.String ATTVAL_MAXLENGTH

### ATTVAL_MINLENGTH

    public static final java.lang.String ATTVAL_MINLENGTH

### ATTVAL_MIXED

    public static final java.lang.String ATTVAL_MIXED

### ATTVAL_NCNAME

    public static final java.lang.String ATTVAL_NCNAME

### ATTVAL_OPTIONAL

    public static final java.lang.String ATTVAL_OPTIONAL

### ATTVAL_PROHIBITED

    public static final java.lang.String ATTVAL_PROHIBITED

### ATTVAL_QNAME

    public static final java.lang.String ATTVAL_QNAME

### ATTVAL_QUALIFIED

    public static final java.lang.String ATTVAL_QUALIFIED

### ATTVAL_REQUIRED

    public static final java.lang.String ATTVAL_REQUIRED

### ATTVAL_RESTRICTION

    public static final java.lang.String ATTVAL_RESTRICTION

### ATTVAL_SKIP

    public static final java.lang.String ATTVAL_SKIP

### ATTVAL_STRICT

    public static final java.lang.String ATTVAL_STRICT

### ATTVAL_STRING

    public static final java.lang.String ATTVAL_STRING

### ATTVAL_TEXTONLY

    public static final java.lang.String ATTVAL_TEXTONLY

### ATTVAL_TIMEDURATION

    public static final java.lang.String ATTVAL_TIMEDURATION

### ATTVAL_TRUE

    public static final java.lang.String ATTVAL_TRUE

### ATTVAL_TRUE_1

    public static final java.lang.String ATTVAL_TRUE_1

### ATTVAL_UNBOUNDED

    public static final java.lang.String ATTVAL_UNBOUNDED

### ATTVAL_UNQUALIFIED

    public static final java.lang.String ATTVAL_UNQUALIFIED

### ATTVAL_ANYURI

    public static final java.lang.String ATTVAL_ANYURI

### ATTVAL_TOKEN

    public static final java.lang.String ATTVAL_TOKEN

### ATTVAL_SUBSTITUTIONGROUP

    public static final java.lang.String ATTVAL_SUBSTITUTIONGROUP

### ATTVAL_SUBSTITUTION

    public static final java.lang.String ATTVAL_SUBSTITUTION

### EMPTY_SET

    public static final int EMPTY_SET

### EXTENSION

    public static final int EXTENSION

### RESTRICTION

    public static final int RESTRICTION

### UNION

    public static final int UNION

### LIST

    public static final int LIST

### ENUMERATION

    public static final int ENUMERATION

### SUBSTITUTION

    public static final int SUBSTITUTION

### CHOICE

    public static final int CHOICE

### SEQUENCE

    public static final int SEQUENCE

### ALL

    public static final int ALL

### INFINITY

    public static final int INFINITY

### NILLABLE

    public static final int NILLABLE

### ABSTRACT

    public static final int ABSTRACT

### FIXED

    public static final int FIXED

### OCCURRENCE_UNBOUNDED

    public static final int OCCURRENCE_UNBOUNDED

Constructor Detail

### SchemaSymbols

    public SchemaSymbols()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference